diff --git a/src/p.c b/src/p.c
index 0038879..867a43a 100644
--- a/src/p.c
+++ b/src/p.c
@@ -209,10 +209,13 @@ Z I mark_number(S s,I n,I i,I*m)
 }
 
 Z I mark_adverb(S s,I n,I i,I*m){
+  //O("mark_adverb  s:%s  i:%lld  m[i]:%lld\n",s,i,m[i]);
   if(m[i]) R 0;
   C c=s[i];
   if(i==0) {
-    if( c=='\'' || c=='\\' ) R 1;
+    if( c=='\'' || c=='\\' ){
+      if(strlen(s)>3){I j=3; while(s[j]!='\0') if(s[j++]==')') R 0;}
+      R 1;}
     R 0; }
   if(!strcmp(s,";\\\\")) R 1;
   if(c=='\\' && s[i-1]==';') R 0;
@@ -224,6 +227,7 @@ Z I mark_adverb(S s,I n,I i,I*m){
 
 Z I mark_verb(S s,I n,I i,I*m)
 {
+  //O("s:%s  i:%lld  m[i]:%lld\n",s,i,m[i]);
   I c=0;
 
   //case: numbered verb "0:  "  (NB: monadic-indicator can be used later: (4::)[{x}] -> 7)
@@ -236,7 +240,7 @@ Z I mark_verb(S s,I n,I i,I*m)
   if('_'==s[i]) while(i+c<n && isalpha(s[i+1+c]))c++;
   if(c>1)R 1+c;
 
-  if( s[i]=='\\' && (s[i-1]==' ' || s[i-1]==';' )) R 1;
+  if( s[i]=='\\' && (s[i-1]==' ' || s[i-1]==';' || s[i-1]=='(')) R 1;
 
   c=0; //primitive verbs + - includes verb ":"
   if(isCharVerb(s[i])){c++;if(0)EAT_SPACES}
